
Figure - Bug #113698
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】在不连接蓝牙的情况下，调节音量，松手后直接反弹到调节前的位置（控制中心的
音量调节同）
2022-11-04 11:38 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-04

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211040348

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211120244

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 音量调节需要中控决定是否可调. ��在超时的情况下, 默认设计为不可调, 将回到调节前音量.��在此版本中, 放开了与中控通讯功能的代码, 导致出现此现象.��由于现在还未有中控环境, 需要将其再次关闭.��

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开设置-声音

2、拖动媒体音量调节条

3、下划打开控制中心

4、拖动媒体音量调节条

【预期结果】

2、松手后，音量停留在松手时的位置

4、松手后，音量停留在松手时的位置

【实际结果】

2、松手后直接反弹到调节前的位置

4、松手后直接反弹到调节前的位置

【复现率】

必现

PS:在连接一个蓝牙耳机时，声音调节一切正常

History

#1 - 2022-11-04 13:43 - CD FW-王伟

- Assignee changed from CD AF-陈羽杰 to CD FW-鲁凯峰

#2 - 2022-11-09 13:36 - CD FW 曹覃刚

- Category changed from CD-FW to AUDIO-FW

- Assignee changed from CD FW-鲁凯峰 to CD MM陈海波

Hi 海波

这个问题是下面两个提交引起，请检查

回退下面这两个提交，问题不存在
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/159771

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/160815

#3 - 2022-11-10 10:16 - CD MM陈海波

- Status changed from New to ASSIGNED

解决此问题相关提交: 

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/161508

等待今天daily版本进行验证.

#4 - 2022-11-10 16:25 - CD MM陈海波

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Root cause set to 音量调节需要中控决定是否可调. 

在超时的情况下, 默认设计为不可调, 将回到调节前音量.

在此版本中, 放开了与中控通讯功能的代码, 导致出现此现象.

由于现在还未有中控环境, 需要将其再次关闭.

#5 - 2022-11-10 16:27 - CD MM陈海波

- Assignee changed from CD MM陈海波 to CD TEST-方永红

已经修复.

请在11/10号版本之后进行测试.

#6 - 2022-11-14 10:49 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211120244

11.14 

在不连接蓝牙的情况下，音量可以正常调节

#7 - 2022-11-14 10:49 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

1136.txt 897 KB 2022-11-04 CD TEST-方永红

Phone-STS40X190122 2022-11-04 11-36-34.mp4 11.7 MB 2022-11-04 CD TEST-方永红
